API referenceSegments
List segments
GET
/segmentsFilter and manual segments, newest first; kind narrows.
Authorization
apiKey AuthorizationBearer <token>
A project API key: Authorization: Bearer s0_…
In: header
Query Parameters
limit?integer
Range
1 <= value <= 100after?string
Length
1 <= length <= 64before?string
Length
1 <= length <= 64kind?string
Value in
- "filter"
- "manual"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/segments"{ "object": "list", "has_more": true, "data": [ { "object": "segment", "id": "string", "kind": "filter", "name": "string", "description": "string", "filter": { "property1": null, "property2": null }, "contacts_count": 0, "counted_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ]}